/* eslint-disable */
import http from '../http'

export default {
	// 获取商户分类
	getCate: (param) => http.request('POST', '/merchant/getCate', param),
	// 商户编辑/上传
	settle: (param) => http.request('POST', '/merchant/settle', param),
	//new settle
	newSettle: (param) => http.request('POST', '/merchant/newSettle', param),
	// 获取商户状态
	merchantStatus: (param) => http.request('POST', '/merchant/merchantStatus', param),
	// 获取商户信息
	getMerchant: (param) => http.request('POST', '/merchant/getMerchant', param),
	// 重新上传审核
	re_audit: (param) => http.request('POST', '/merchant/re_audit', param),
	// 经营状况
	business: (param) => http.request('POST', '/merchant/business', param),
	// 折线图数据
	lineChart: (param) => http.request('POST', '/merchant/lineChart', param),
	// 提现
	cash: (param) => http.request('POST', '/merchant/cash', param),
	// 提现记录
	cashlog: (param) => http.request('POST', '/merchant/cashlog', param),
	// 团购商品列表
	teamGoodsList: (param) => http.request('POST', '/merchant/teamGoodsList', param),
	// 团购商品详情
	team_detail: (param) => http.request('POST', '/merchant/team_detail', param),
	// 商品 /上架下架
	shelf: (param) => http.request('POST', '/merchant/shelf', param),
	// 团购商品 /上架下架
	beginEndTeam: (param) => http.request('POST', '/merchant/beginEndTeam', param),
	// 规格父级
	specs: (param) => http.request('POST', '/merchant/specs', param),
	// 规格子级
	childSpec: (param) => http.request('POST', '/merchant/childSpec', param),
	// 商品列表
	getGoods_list: (param) => http.request('POST', '/merchant/goods_list', param),
	// 商品详情
	goods_detail: (param) => http.request('POST', '/merchant/goods_detail', param),
	// 订单列表
	getMerchantOrders: (param) => http.request('POST', '/merchant/orders', param),
	// 订单详情
	getOrderDetail: (param) => http.request('POST', '/merchant/orderDetail', param),
	// 订单发货
	deliver: (param) => http.request('POST', '/merchant/deliver', param),
	//删除房源
	deleteHouse: (param) => http.request('POST', '/house/delete', param),
	//删除顺风车
	deleteHitch: (param) => http.request('POST', '/hitch/delete', param),
	//删除快递订单
	deleteExpress: (param) => http.request('POST', '/express/delete', param),
	//一级分类
	getParentGoodsCate: (param) => http.request('POST', '/merchant/getParentGoodsCate', param),
	//二级分类
	getGoodsCate: (param) => http.request('POST', '/merchant/getGoodsCate ', param),
	//店铺等级
	getLevels: (param) => http.request('POST', '/merchant/levels', param),
	//升级积分
	magicloglist: (param) => http.request('POST', '/member/magicloglist', param),
	//余额
	magicloglists: (param) => http.request('POST', '/member/magicloglists', param),
	//transfer log
	transferloglists: (param) => http.request('POST','/member/transferloglists', param),
	//店铺排名
	rank: (param) => http.request('POST', '/merchant/rank', param),
	//申请打烊
	close: (param) => http.request('POST', '/merchant/close', param),
	//店铺级别
	levels: (param) => http.request('POST', '/merchant/levels', param),
	//店铺升级
	upgrade: (param) => http.request('POST', '/merchant/upgrade', param),
	//店铺收益
	merchantEarn: (param) => http.request('POST', '/merchant/merchantEarn', param),
	//店铺订单
	getMerchantOrder: (param) => http.request('POST', '/merchant/merchantOrder', param),
	//退款
	refund: (param) => http.request('POST', '/merchant/refund', param),
	//审核退货申请
	auditReturn: (param) => http.request('POST', '/merchant/auditReturn', param),
	//团队明细
	merchantTeam: (param) => http.request('POST', '/merchant/merchantTeam', param),
	//团队明细列表
	merchantTeamTransactions: (param) => http.request('POST', '/merchant/merchantTeamTransactions', param),
	//升级卡
	membercardupgrade: (param) => http.request('POST', '/merchant/membercardupgrade', param),
	//剩余数量
	membercard: (param) => http.request('POST', '/merchant/membercard', param),
	//获得记录
	membercardhistory: (param) => http.request('POST', '/merchant/membercardhistory', param),
	//赠送升级卡
	merchantGiveCard: (param) => http.request('POST', '/merchant/merchantGiveCard', param),
	//一键支付所有待支付订单
	deliverAll: (param) => http.request('POST', '/merchant/deliverAll', param),
	//绑定银行卡信息
	bindBankCard: (param) => http.request('POST', '/merchant/bindBankCard', param),
	//查询是否绑定银行卡
	getBankCard: (param) => http.request('POST', '/merchant/getBankCard', param),
	//dailyCheckIn
	dailyCheckIn: (param) => http.request('POST', '/merchant/dailyCheckIn', param),
	//getCheckInInfo
	merchantCheckInInfo: (param) => http.request('POST', '/merchant/merchantCheckInInfo', param),
	//merchantTransferMoney
	merchantTransferMoney: (param) =>  http.request('POST', '/merchant/transferMerchantMoney', param),
	//progressInfo
	getProgressInfo: (param) =>  http.request('POST', '/merchant/getProgressInfo', param),
	//collectReward
	collectProgressReward: (param) =>  http.request('POST', '/merchant/collectProgressReward', param),
	//todayProfit
	todayProfit:  (param) =>  http.request('POST', '/merchant/todayProfit', param),
}